CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   Install/Compile OF 2.1.x on FreeBSD 9.0/9.1 (

keepfit April 8, 2013 23:42

Install/Compile OF 2.1.x on FreeBSD 9.0/9.1
Hi Foamers,

I have a computer with FreeBSD system, I just want to know, is it possible compiling OF 2.1.x from source on this OS?

If I wasn't wrong, OF is mainly developed/based on Linux system (Mac or Windows also possible), but have someone else successfully compiled OF on FreeBSD (>= 9.0)?

Any hints will be highly appreciated.


wyldckat April 9, 2013 04:29

Greetings David,

AFAIK, OpenFOAM 2.1.x will not build on BSD unless there are some specific hacks put into place. I tried having a look into it some years ago, but it seemed to take too long to make it work.

Nonetheless, try FreeFOAM:

FreeFOAM currently runs natively on any POSIX system, i.e. including current Linux and BSD distributions, such as Debian, Ubuntu, OpenSUSE, FreeBSD and Mac OS X .
Best regards,

All times are GMT -4. The time now is 01:43.